<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div>
        <input type="text" id="taskbar">
        <button>submit</button>
        

    </div>
    <script>
        let btn1=document.getElementsByTagName('button')[0];
        btn1.addEventListener('click',()=>{
        let newTask=document.getElementById('taskbar').value;
        console.log(localStorage.getItem('task'));
        console.log(newTask);
        
        let alltasks=localStorage.getItem('task') ? JSON.parse(localStorage.getItem('task')):[];
        console.log(alltasks);
        alltasks.push(newTask);
        console.log(alltasks);
        localStorage.setItem('task',JSON.stringify(alltasks));
        console.log(alltasks);
        console.log(localStorage.getItem('task'));
        console.log(JSON.parse(localStorage.getItem('task')));
        // localStorage.clear();
        // document.getElementById('taskbar').value='';

        })
    </script>
</body>
</html>